<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myCurrencyLabel" jhiTranslate="mpmApp.currency.home.createOrEditLabel">Create or edit a Currency</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!currency.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="currency.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.currency.idPurchaseOrder" for="field_idPurchaseOrder">Id Purchase Order</label>
            <input type="number" class="form-control" name="idPurchaseOrder" id="field_idPurchaseOrder"
                [(ngModel)]="currency.idPurchaseOrder"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.currency.noPurchaseOrder" for="field_noPurchaseOrder">No Purchase Order</label>
            <input type="text" class="form-control" name="noPurchaseOrder" id="field_noPurchaseOrder"
                [(ngModel)]="currency.noPurchaseOrder"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.currency.dtOrder" for="field_dtOrder">Dt Order</label>
            <div class="input-group">
                <input id="field_dtOrder" type="text" class="form-control" name="dtOrder" ngbDatepicker  #dtOrderDp="ngbDatepicker" [(ngModel)]="currency.dtOrder"
                />
                <span class="input-group-btn">
                    <button type="button" class="btn btn-secondary" (click)="dtOrderDp.toggle()"><i class="fa fa-calendar"></i></button>
                </span>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.currency.divition" for="field_divition">Divition</label>
            <input type="text" class="form-control" name="divition" id="field_divition"
                [(ngModel)]="currency.divition"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
